Package org.eclipse.net4j.util.fsm

# Class FiniteStateMachine.IgnoreTransition

java.lang.Object
org.eclipse.net4j.util.fsm.FiniteStateMachine.IgnoreTransition

All Implemented Interfaces:
  `ITransition<Enum<?>,Enum<?>,Object,Object>`

Enclosing class:
  FiniteStateMachine<STATE extends Enum<?>,EVENT extends Enum<?>,SUBJECT>

@Deprecated public static class FiniteStateMachine.IgnoreTransition extends Object implements ITransition<Enum<?>,Enum<?>,Object,Object>
Deprecated.
Use `FiniteStateMachine.IGNORE`
A `transition` that does nothing.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`IgnoreTransition()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(Object subject, Enum<?> state, Enum<?> event, Object data)`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IgnoreTransition

public IgnoreTransition()
Deprecated.

## Method Details

### execute

public void execute(Object subject, Enum<?> state, Enum<?> event, Object data)
Deprecated.

Specified by:
  `execute` in interface `ITransition<Enum<?>,Enum<?>,Object,Object>`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`